Next: remove, Previous: putw, Up: Stdio

### 4.50 `putwchar`—write a wide character to standard output

Synopsis

         #include <wchar.h>
         wint_t putwchar(wchar_t wc);

         wint_t _putwchar_r(struct _reent *reent, wchar_t wc);

Description
The `putwchar` function or macro is the wide-character equivalent of the `putchar` function. It writes the wide character wc to stdout.

The alternate function `_putwchar_r` is a reentrant version. The extra argument reent is a pointer to a reentrancy structure.

Returns
If successful, `putwchar` returns its argument wc. If an error intervenes, the result is `EOF`. You can use ``ferror(stdin)`' to query for errors.

Portability
C99